/* \file Matlab.h
 * \brief  header file for all routines related to matlab.
 */

#ifndef _MATLAB_SHARED_H_
#define _MATLAB_SHARED_H_

/*printf: */
int PrintfFunction(char* format,...);
int ModuleBoot(void);

#ifdef _SERIAL_
#include "mex.h"
	mxArray* mxGetAssignedField(const mxArray* pmxa_array,int number, char* field);
	int CheckNumMatlabArguments(int nlhs,int NLHS, int nrhs,int NRHS, char* THISFUNCTION, void (*function)( void ));
#endif

#endif
